# Impact of loosely coupled data dissemination policies for resource challenged environements

### Setup
- First you need [Boost](https://www.boost.org/) 
- From the root project folder run `cd ./libs && ./setup.sh && cd -`
- And `make`
- If the project compiles successfully, you are ready to run the simulations!
### Simulations
- The file `inputs.json`  controls the inputs to the simulator. You should only care about this file
- To run the simulation just run `make run` This will generate a file called `platform.xml`  corresponding to the simulated platform.
- To generate a *csv* output from the simulation results you can use:
 `make run 2>&1|./parser.awk`
